<template>
  <div
    class="app-download-container flex justify-around items-center py-[40px] container mx-auto"
  >
    <div>
      <div class="text-[32px] font-bold pl-[16px] mb-[16px] --text2">
        {{ $t("app_download") }}
      </div>
      <generate-qr-app-download :qr-code-link="getAppDownloadUrl" />
    </div>
    <div class="w-[500px] h-[450px]">
      <img
        class="object-contain w-full h-full"
        :src="appDownload.ImagePath"
        alt="AppDownload"
      />
    </div>
  </div>
</template>

<script lang="ts" setup>
import { useHeaderComponent } from "@/composables/useTheme";

const { appDownload, getAppDownloadUrl } = useHeaderComponent();
</script>
